catalog:
  title: kaldi-asr

templates:
- autotools
- github
- base

variables:
  description: >-
    build kaldi-asr
  keywords:
  - speech recognition
  - tdnn
  - kaldi
  recipe.maintainer:
  - cschuetze@techfak.uni-bielefeld.de

  github.user: kaldi-asr
  github.project: kaldi

  branches:
  - master

  extra-requires:
  - program: svn
  - program: wget
  - program: unzip
  - program: sox
  - program: python2
  - program: python3
  - library: libz
  - '@{next-value|[]}'

  extra-provides:
  - pkg-config: kaldi-asr
  - '@{next-value|[]}'

  shell.command: |
    tools/extras/check_dependencies.sh
    if [ ! $? -eq 0 ]; then
        exit 1
    fi

    (
        cd tools
        ${make.binary} @{make.flags.args}
    )

    (
        cd src
        ./configure --shared
        ${make.binary} @{make.flags.args} clean
        ${make.binary} @{make.flags.args} depend
        ${make.binary} @{make.flags.args}
    )

    KALDI_DIR="/vol/csra//releases/xenial/lsp-csra-0.16/share/kaldi"
    mkdir -p $KALDI_DIR
    mkdir -p $KALDI_DIR/src/lib
    rm  $KALDI_DIR/src/lib/*
    rm  $KALDI_DIR/src/bin/*
    rm  $KALDI_DIR/src/fstbin/*
    rm -rf $KALDI_DIR/tools
    cp tools -r $KALDI_DIR
    cp -L ./src/lib/lib*.so -r $KALDI_DIR/src/lib/
    cp -L ./src/bin -r $KALDI_DIR/src/bin
    cp -L ./src/fstbin -r $KALDI_DIR/src/fstbin

    atlasLib=$(find /usr/lib -name 'atlas')
    atlasCflags=$(find /usr/include -name 'atlas')
    if [ -d pkgconfig ]; then
            rm -rf pkgconfig
    fi
    mkdir pkgconfig
    cd pkgconfig

    touch atlas.pc
    echo -e 'Name: atlas\n\
    Description: Atlas\n\
    Version: 3.\n\
    Requires: atlas\n\
    Libs: -L$atlasLib\n\
    Cflags: -I$atlasCflags '>>atlas.pc

    touch kaldi-asr.pc
    echo -e 'kaldi_root=$KALDI_DIR\n\
    \n\
    Name: kaldi-asr\n\
    Description: kaldi-asr speech recognition toolkit\n\
    Version: 5.2\n\
    Requires: atlas\n\
    Libs: -L\${kaldi_root}/tools/openfst/lib -L\${kaldi_root}/src/lib -lkaldi-decoder -lkaldi-lat -lkaldi-fstext -lkaldi-hmm -lkaldi-feat -lkaldi-transform -lkaldi-gmm -lkaldi-tree -lkaldi-util -lkaldi-matrix -lkaldi-base -lkaldi-nnet3 -lkaldi-online2 -lkaldi-cudamatrix -lkaldi-ivector -lfst\n\
    Cflags: -I\${kaldi_root}/src  -I\${kaldi_root}/tools/openfst/include' >>kaldi-asr.pc


versions:
  - name: hash-19.04
    variables:
      commit: beb015175e4f3d50c9a33e25951241abafd78f49
